customer-addresses
Apply address to subscriptions
Apply the specified address to the customer’s subscriptions.
Pass apply_to_all: true to update all subscriptions, or pass
a subscription_ids array to update specific subscriptions only.
POST
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
addresses
/
{id}
/
apply_to_subscriptions
Apply address to subscriptions
curl --request POST \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id}/apply_to_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apply_to_all": true,
"subscription_ids": [
123
]
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id}/apply_to_subscriptions"
payload = {
"apply_to_all": True,
"subscription_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({apply_to_all: true, subscription_ids: [123]})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id}/apply_to_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"affected_count": 123
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": {},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}Authorizations
Bearer token authentication
Path Parameters
Address ID
Body
application/json
Response
Success
Number of subscriptions updated
⌘I
Apply address to subscriptions
